import {get, post} from './http'

const prefix = '/system-notice'

/**
 * 获取通知概览（各类通知未读数量）
 * @param params
 * @returns {Promise<*>}
 */
export async function getSystemNoticeIndexApi(params) {
    return await get(`${prefix}/index`, params, 3)
}

/**
 * 获取订单消息列表
 * @param params
 * @returns {Promise<*>}
 */
export async function getOrderNoticeApi(params) {
    return await get(`${prefix}/order`, params, 3)
}

/**
 * 获取系统消息列表
 * @param params
 * @returns {Promise<*>}
 */
export async function getSystemNoticeListApi(params) {
    return await get(`${prefix}/system`, params, 3)
}

/**
 * 获取医生群发消息列表
 * @param params
 * @returns {Promise<*>}
 */
export async function getDoctorNewsApi(params) {
    return await get(`${prefix}/doctor-news`, params, 3)
}

/**
 * 标记医生消息为已读
 * @param params
 * @returns {Promise<*>}
 */
export async function readDoctorNewsApi(params) {
    return await post(`${prefix}/read-doctor-news`, params, 3)
}

